/*
 Theme Name:   My Listing Child
 Theme URI:    http://mylisting.27collective.net/my-city/
 Description:  MyListing Child Theme
 Author:       27collective
 Author URI:   https://27collective.net/
 Template:     my-listing
 Version:      1.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         one-column, two-columns, three-columns, left-sidebar, right-sidebar, grid-layout, custom-menu, custom-logo, featured-images, footer-widgets, full-width-template, sticky-post, theme-options, threaded-comments, translation-ready
 Text Domain:  my-listing-child
*/

/* --- Fonts --- */

/* Import Typekit font - Objektiv Mk3 */
@import url("https://use.typekit.net/mih5ebf.css");

/* --- Colors --- */

:root {
  --red: #e0404f;
  --lga-red: #be1e2d;
  --sold-red: #c51132;
  --pending-yellow: #edc60a;
  --green: #3da847;
  --blue: #1a2342;
  --lga-blue: #313b64;
  --light-blue: #E0E4EB;
  --blue-grey: #f6f7fe;
  --grey: #8f8e8e;
  --light-grey: #e3e0da;
  --lighter-grey: #f9f9f9;
  --lga-grey: #9ba5aa;
  --black: #000000;
  --white: #ffffff;
}

/* --- Globals --- */

::selection {
  background-color: var(--red);
  color: var(--white);
}

a {
    color: var(--red);
}

body, p {
  font-family: "objektiv-mk2", sans-serif !important;
  font-weight: 400 !important;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "objektiv-mk2", sans-serif !important;
}

p {
    margin: 0 0 20px;
}

body {
  background: transparent !important;
}

.center-content {
  display: flex;
  justify-content: center;
  align-items: center;
}

.buttons,
.lmb-calltoaction>a /* buttons on single listing pages */,
.job_listing_preview .wpcf7 input[type=submit].wpcf7-form-control, .wpcf7-form input[type=submit],
.lf-head-btn {
  border-radius: 30px;
}

.elementor-widget-button .elementor-button {
  font-family: "objektiv-mk2", sans-serif !important;
  font-weight: 400 !important;
  text-align: left;
}

.elementor-button:visited {
  color: var(--red);
}

.blue-grey-bg {
  background: var(--blue-grey);
}

.light-grey-bg {
  background: var(--light-grey);
}

.lighter-grey-bg {
  background: var(--lighter-grey);
}

.elementor-button:focus,
.elementor-button:visited {
  color: var(--red);
}

/* --- Header --- */

/* Change the logo to blue logo */
.page-id-90 header .logo img  /* Inventory page */,
.page-id-18 header .logo img  /* My Account page */,
.page-id-69 header .logo img  /* Add Listing page */ {
  content: url('/wp-content/uploads/2025/02/ladd-gardner-logo-full-logo.svg');
}

/* Hide right menu if not logged in */
body:not(.logged-in) .header-right .header-button /* Add Listing Button */,
body:not(.logged-in) .mobile-nav-button .header-button /* Add Listing Button on Mobile*/,
body:not(.logged-in) .header-right .signin-area /* Sign In Link */ {
 display: none !important;
}

div.i-nav > ul > li {
  font-size: 20px;
  font-weight: 400;
  display: inline-block;
  margin-top: 20px;
}

.i-nav li a {
  padding: .5rem 1rem;
  color: var(--lga-blue) !important;
  position: relative; /* Needed for positioning the pseudo-element */
  display: inline-block; /* Ensure the link behaves like a block */
}

.i-nav li a:hover {
  color: var(--white) !important;
}

@media only screen and (min-width: 1201px)  {
  .i-nav li a::after {
      content: ''; /* Empty content for the pseudo-element */
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-radius: 30px;
      background-color: var(--red);
      transform: scale(0.8); /* Initially scale it down */
      opacity: 0; /* Start with opacity 0 */
      transition: transform 0.3s ease, opacity 0.3s ease; /* Smooth transition for scaling */
      z-index: -1; /* Position the pseudo-element behind the text */
  }
}

.i-nav li a:hover::after {
  transform: scale(1); /* Scale the background to its full size */
  opacity: 1; /* Transition to full opacity on hover */
}

@media only screen and (min-width: 1201px) {
  .i-nav li a[aria-current="page"] {
    color: var(--white) !important;
    border-radius: 30px;
    background-color: var(--red);
  }
}

@media only screen and (min-width: 1201px) {
    body.admin-bar .c27-main-header.header.header-fixed {
        top: 0 !important;
    }
}

.header {
  display: flex;
  align-items: center;
  min-height: 50px;
  height: auto !important;
}

@media only screen and (min-width: 1201px) {
.header-container .header-top {
  height: auto !important;
  }
}

/* Nav */
.header-center {
  background-color: var(--white);
  border-radius: 50px;
  padding: 0 3rem;
  width: fit-content;
  height: 70px;
  align-items: center !important;
  justify-content: center !important;
  position: relative;
  flex: inherit !important;
}

@media only screen and (max-width: 1201px) {
  .header-center {
    padding: 0;
  }
}

.header-menu-right .i-nav>ul {
  height: auto !important;
  gap: 1rem !important;
}

.c27-main-header.header-scroll .header-skin {
    background: transparent !important;
}

@media only screen and (min-width: 1201px) {
    .header.header-scroll.header-scroll-light-skin .header-skin {
        background: transparent;
    }
}

.c27-main-header.header-scroll .header-skin {
  border-bottom: none !important;
}

@media only screen and (min-width: 1201px) {
    .i-nav .main-menu>li.menu-item:first-child>a {
        padding-left: 20px !important;
    }
}

.main-nav .i-dropdown {
  border-radius: 30px !important;
  margin-top: 18px;
}

.main-nav .i-dropdown:before, ul.dropdown-menu:before {
  height: 0 !important;
}

.i-dropdown li a {
  margin-left: 0 !important;
  margin-right: 0 !important;
  text-align: center !important;
}

/* Only show Home nav menu item in hamburger menu */
@media (min-width: 1201px) {
  .menu-item-home {
    display: none !important;
  }
}

/* Hide the menu items for logged-in users */
.user-menu-promotions,
.user-menu-my-bookmarks,
.user-menu-orders,
.user-menu-downloads,
.user-menu-edit-address {
  display: none;
}

@media only screen and (max-width: 1200px) {
    .page-id-90 .header-dark-skin .mobile-menu-lines i {
        color: var(--red);
    }
}


/* --- Footer --- */

.footer {
  background: #e1e3ef !important;
}

@media (max-width: 768px) {
  .footer {
    padding: 2.5rem 1rem 0;
  }
}

.footer-logo {
  width: 300px;
  margin-bottom: 25px;
}

.copyright p {
  font-size: 14px !important;
}

.footer-contact p {
  font-size: 16px;
}

.footer a[href*="tel:"] {
  color: var(--red);
}

.footer-desc {
  font-size: 18px;
  line-height: 27px;
  text-align: left;
}

@media (min-width: 768px) {

  footer .c_widget:last-child {
    display: flex;
    justify-content: flex-end;
  }

}

.footer .cta-button-alt {
  margin-left: -23px;
}

.footer-menu {
  margin-left: -15px;
  margin-bottom: 20px;
}

.footer-menu ul {
    list-style-type: none; /* Remove default list bullets */
    margin: 0; /* Remove default margin */
    padding: 0; /* Remove default padding */
    display: flex; /* Make the list items align horizontally */
}

.footer-menu li {
    margin-right: 20px; /* Space between menu items */
    position: relative; /* Allows positioning of divider */
}

.footer-menu li:not(:last-child)::after {
    content: "|"; /* Divider character */
    position: absolute;
    right: -10px; /* Position the divider */
    top: 50%; /* Align the divider vertically */
    transform: translateY(-50%); /* Center divider */
    font-size: 16px; /* Adjust size of the divider */
    color: var(--red); /* Divider color */
}

.footer-menu a {
    font-size: 16px;
    text-decoration: none; /* Remove underline from links */
    padding: 10px 15px; /* Add padding to links for better spacing */
    display: block; /* Ensure the link occupies the full list item */
    color: var(--lga-blue);
    transition: color 0.3s ease; /* Add smooth transition for color */
}

.footer-menu a:hover {
  color: var(--red);
}

@media only screen and (max-width: 991px) {

  .footer .c_widget {
    width: 100%;
  }

}

@media (max-width: 768px) {
    .footer-menu ul {
        display: block; /* Stack the menu items vertically */
    }

    .footer-menu li {
        margin-right: 0; /* Remove horizontal spacing */
        margin-bottom: 10px; /* Add some spacing between items vertically */
        position: relative; /* Keep the position for divider */
    }

    .footer-menu li:not(:last-child)::after {
        content: ""; /* Remove the divider on vertical menu */
    }

    .footer-menu a {
      padding: 0 15px;
    }
}




/* --- Listing Page and Preview Cards --- */

.results-view .grid-item {
  height: 355px;
}

@media only screen and (max-width: 768px) {
  .similar-listings .grid-item {
    height: 355px;
  }
}

.lf-item {
  height: 230px !important;
  overflow: visible;
}

.lf-item-container {
  overflow: visible;
  box-shadow: none;
}

/* Listing Images */
.lf-background {
  transform: scale(1.0);
  transition: all 0.3s ease-in-out;
}

.lf-background:hover {
    transform: scale(1.1);
}

.no-logo.has-tagline.has-info-fields .lf-item-info-2 {
  transform: none;
}

.lf-type-2 .lf-item, .lf-background, .lf-item .overlay {
  border-radius: 15px;
}

.lf-item .overlay {
  opacity: 0.3 !important;
}


/* Preview Card Bottom info on Alt View */
.lf-type-2 .lf-item-info-2 {
  position: relative;
}

/* Preview Card Tagline on Alt View */
.lf-item-info-2 h6 {
  display: none;
}

/* Preview Card Default grid layout for 3 items: 2 columns */
.lf-item-info-2 > ul.lf-contact {
  display: grid;
  padding-top: 0;
  grid-template-columns: repeat(2, minmax(150px, 1fr)); /* Two columns for 3 items */
  grid-template-rows: auto auto; /* Two rows */
}

/* When there are exactly 2 items, make the first row take up full width */
.lf-item-info-2 > ul.lf-contact:has(li:nth-child(2)):not(:has(li:nth-child(3))) {
  grid-template-columns: 1fr; /* One column layout when there are only 2 items */
}

/* When there are exactly 3 items, allow the third item to take full width for the second row */
.lf-item-info-2 > ul.lf-contact li:nth-child(3) {
  grid-column: span 2;
}

/* Preview Card Info Under Title on Alt View */
.lf-item-info-2>ul.lf-contact li {
  color: var(--grey);
  font-size: 14px;
  margin-bottom: 3px;
}

/* Move "TTE" to the left on Preview Cards */
.lf-item-info-2>ul.lf-contact li .tte {
  margin-left: -50px;
}

.preview-price {
  font-size: 16px;
  font-weight: bold;
  color: var(--black);
}

/* Top Buttons - Price & Category */
.lf-head-btn {
    font-size: 16px;
    border: none;
}

/* Targets the Price  on Preview Card */
.lf-head-btn:first-child {
  font-weight: bold;
}

.lf-head-btn.available,
.lf-head-btn.sold,
.lf-head-btn.pending {
  font-size: 14px;
  height: 27px;
  padding: 0 13px;
}

.results-view .lf-head-btn.available, .results-view .lf-head-btn.sold {
  margin-top: 3px;
}

/* Available Category */
.lf-head-btn.available {
  background-color: var(--green);
}

/* Sold Category */
.lf-head-btn.sold {
  background-color: var(--sold-red);
}

/* Pending Category */
.lf-head-btn.pending {
  background-color: var(--pending-yellow);
}

/* Preview Card Title */
h4.case27-primary-text {
  font-size: 18px;
    /* display: none; */
}

/* Preview Card Fields */
.lf-item-info>ul li {
    display: block;
}

/* Preview Card Year & Make */
.lf-item-info .year-make,
/* Preview Card TTAF */
.lf-item-info .ttaf {
    font-size: 16px;
}

/* Preview Card Model */
.lf-item-info .model {
    font-size: 22px;
}

/* Alt Preview View */
.no-logo.has-tagline.has-info-fields .lf-item-info-2 {
  transform: none;
}

/* Filter Popup */
@media only screen and (min-width: 1201px) {
  .finder-container.fc-type-2 {
      left: 0;
  }
}

/* --- Single Listing Pages --- */

/* Listing Title Area */
.profile-name {
  display: grid;
}

@media (min-width: 992px) {

  /* Listing Title */
  .profile-name h1 {
      font-size: 65px;
  }

  /* Listing Tagline */
  .profile-name h2 {
      font-size: 27px;
  }

}

/* Listing Tagline */
.profile-name h2 {
    display: none;
}

/* Title & Tagline visibility */
.profile-name h2, .profile-name .pa-below-title {
    overflow: visible;
}

.profile-location {
  font-size: 18px;
}

.profile-location span {
  margin-left: 5px;
}

@media (min-width: 992px) {

    /* Cover Image Content */
    .listing-main-info {
        display: flex;
    }

    /* Listing Info on Cover Image */
    .container.listing-main-info .col-md-4 {
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
    }

}

@media only screen and (max-width: 1200px) {
    .listing-main-info {
        padding: 1.5rem;
    }
}

/* Price Label "Price" on Cover Image */
.price-or-date .lmb-label,
/* Price on Cover Image - Right Side - Set by Default */
.price-or-date .value {
  display: none;
}

  /* Price on Cover Image - Left Side - Added to Template */
.profile-price {
  margin-right: 20px;
}

@media (min-width: 992px) {

  .profile-price {
      font-size: 28px;
      margin-top: 3px;
  }

}

@media only screen and (max-width: 1200px) {
    .profile-price {
        font-size: 18px;
    }
}

.single-job_listing .lf-head-btn.available,
.single-job_listing .lf-head-btn.sold,
.single-job_listing .lf-head-btn.pending {
  margin-top: 10px;
  padding: 0px 15px;
}

@media only screen and (max-width: 1200px) {
  .single-job_listing .lf-head-btn.available,
  .single-job_listing .lf-head-btn.sold,
  .single-job_listing .lf-head-btn.pending {
    margin-top: 2px;
  }
}

/* Hover on CTA/Contact buttons */
.lmb-calltoaction>a:after {
  border-radius: 30px;
}

/* Share Button */
a#cta-807323-dd[data-target="#social-share-modal"] {
  background: none;
  padding: 0;
}

@media only screen and (max-width: 768px) {
  a#cta-807323-dd[data-target="#social-share-modal"] {
    color: var(--black);
  }
}

/* Share Button */
.lmb-calltoaction>a#cta-807323-dd[data-target="#social-share-modal"]:after {
  background: none;
}

/* Listing Tabs */
.profile-header {
  display: none;
}

/* Headline & Description Container */
.quick-listing-actions {
  display: flex;
  justify-content: center;
  margin: 20px 0;
}

/* Headline & Description ul Section */
.quick-listing-actions>ul {
  width: 70%;
  text-align: center;
  overflow: visible;
}

@media (max-width: 768px) {
  .quick-listing-actions>ul {
    width: 100%;
  }
}

/* Headline & Description ul Section */
.quick-listing-actions>ul>li>a {
  display: grid;
  border: none;
  cursor: auto;
}

.quick-listing-actions>ul>li>a span {
  white-space: initial;
  overflow: visible;
}

/* Headline & Description ul Section */
.cts-prev, .cts-next {
  display: none;
}

.qla-container {
  background: var(--blue-grey);
  width: 100% !important;
}

h2.listing-tagline {
  font-size: 36px;
  color: var(--lga-blue);
}

.listing-description p {
  font-size: 18px;
  line-height: 30px;
}

/* Listing Body */
.profile-body {
  padding-top: 50px;
}

/* Listing Sections */
.single-job-listing .element {
  background: none;
  box-shadow: none;
  margin-bottom: 0;
}

/* Section Headings */
#listing_tab_overview h5 {
    font-size: 22px;
    margin-bottom: 16px;
    color: var(--lga-blue);
}

.specifications .extra-details {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

@media only screen and (max-width: 768px) {

  .specifications .extra-details {
      display: block;
  }

}

/* Specifications List Label */
.specifications .extra-details .item-attr {
    float: left;
    /* display: table-cell;
    width: 150px; */
    font-weight: bold;
    font-size: 16px;
    line-height: 30px;
    margin-right: 10px;
}

/* Specifications List Value */
.specifications .extra-details .item-property {
    font-size: 16px;
    /* float: none; */
    display: grid;
    gap: 20px;
}

.specifications .extra-details li {
  display: flex;
  padding-top: 3px;
  padding-bottom: 3px;
  border-bottom: none;
}

/* Used for Equipment List */
.block-type-general_repeater .element {
    border-radius: 0;
}

/* Equipment List */
.food-menu-items {
  grid-template-columns: 1fr 1fr !important;
}

@media only screen and (max-width: 768px) {
  .food-menu-items {
    display: block !important;
  }
}

.equipment-list .food-menu-items {
    grid-gap: 0px;
    padding:  0 20px;
}
/* Title Container for Equipment List */
.equipment-list .element {
    margin-bottom: -14px !important;
    box-shadow: none;
}

/* Equipment List Item Container */
.food-menu-items .menu-content {
    padding: 0 !important;
}

.food-menu-items .menu-content span {
  font-size: 16px !important;
  font-weight: normal !important;
  line-height: 23px;
}

/* Equipment List Item */
.equipment-list .menu-item-title {
    padding: 8px 0;
    margin-bottom: 0 !important;
    /* border-bottom: 1px solid rgba(0, 0, 0, .1); */
}

.single-menu-item:last-child {
  padding-bottom: 30px !important;
}

/* Main Image on Gallery Fix */
div.gallerySlider .galleryPreview a img {
    min-height: 300px;
    object-fit: contain;
}

/* Hide icon for files block */
.files-block .file-icon {
  display: none;
}

/* Hide file name for files block */
.file-name {
  display: none;
}

.file-list a {
  padding-bottom: 5px;
}

.file-link {
  margin-left: 0;
  opacity: 1;
}

@media only screen and (max-width: 480px) {
  .file .file-link {
    display: flex;
  }
}

/* Contact form block */
.request-info {
  background: var(--lighter-grey);
  border: 1px solid #ededed;
  border-radius: 30px;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 6px 16px;
}

/* Contact form heading */
.request-info .pf-head {
  margin-top: 15px;
}

@media only screen and (max-width: 992px) {
  .request-info {
    margin: 0 1rem 3rem;
  }
}

.request-info label {
  font-size: 16px;
  font-weight: 400 !important;
}

.request-info input[value="Submit"] {
  width: 100% !important;
  background: var(--red);
  color: var(--white);
  font-weight: 700;
}

@media only screen and (min-width: 991px) {

  /* Request Info form column */
  .single-job_listing .cts-right-column {
    padding-left: 50px;
  }

  /* Request Info form */
  .request-info {
      position: sticky;
      top: 50px;
  }
}

@media only screen and (max-height: 700px) {
  .request-info {
      position: relative;
  }
}

/* Hide required fields notification on top of ninja forms */
.nf-form-fields-required {
  display: none;
}

.nf-field-container {
  margin-bottom: 18px;
}

.nf-field-element textarea {
  height: 100px !important;
}

.nf-field-label label {
  color: var(--lga-blue);
}

.nf-field {
  line-height: 10px;
}

.nf-error .ninja-forms-field {
  border: none !important;
  border-bottom: 1.5px solid rgba(0,0,0,.2) !important;

}

input.ninja-forms-field,
textarea.ninja-forms-field {
  padding: 5px 0;
}

input.ninja-forms-field[type="submit"] {
  padding: 14px 0;
}

.i-section.similar-listings {
  padding-top: 50px !important;
  padding-bottom: 150px;
}

.i-section.similar-listings h2 {
  color: var(--lga-blue);
}

/* --- My Account Page --- */

/* Hide menu items on account pages */
.woocommerce-MyAccount-navigation-link--promotions,
.woocommerce-MyAccount-navigation-link--my-bookmarks,
.woocommerce-MyAccount-navigation-link--orders,
.woocommerce-MyAccount-navigation-link--downloads,
.woocommerce-MyAccount-navigation-link--edit-address {
  display: none;
}

/* --- Page Elements --- */

@media only screen and (max-width: 768px) {
  .callout-container {
    padding: 50px 0;
  }
}

.callout p {
  font-size: 36px;
  font-weight: 300 !important;
  line-height: 60px;
  padding: 0 60px;
}

@media only screen and (max-width: 768px) {
  .callout p {
    font-size: 30px;
    line-height: 45px;
  }
}

.callout-focus {
  font-style: italic;
  color: var(--red);
}

.section-container {
  padding-top: 75px;
  padding-bottom: 75px;
}

.section-heading h2 {
  font-size: 45px;
  font-weight: 700 !important;
  color: var(--lga-blue) !important;
}

.section-subheading h3 {
  font-size: 32px;
  font-weight: 400 !important;
  line-height: 32px;
}

.section-copy p {
  font-size: 18px;
  line-height: 30px;
}

.section-copy li {
  font-size: 18px;
  margin-bottom: 22px;
}

.section-img-col-left, .section-img-col-right {
  border-radius: 30px;
  min-height: 300px;
}

@media (max-width: 768px) {
  .section-img-col-left, .section-img-col-right {
    order: 1;
    margin-bottom: 50px;
  }

  .section-copy-col-left, .section-copy-col-right {
    order: 2;
  }

}

@media (min-width: 768px) {

  .section-copy-col-left {
    padding-right: 30px;
  }

  .section-copy-col-right {
    padding-left: 30px;
  }

}

.section-img-col-left {
  box-shadow: -30px 30px 50px rgba(0, 0, 0, 0.25);
}

.section-img-col-right {
  box-shadow: 30px 30px 50px rgba(0, 0, 0, 0.25);
}

.section-full-width-img img,
.section-full-width-img-alt img {
  object-fit: cover;
  min-width: 100%;
  min-height: 100%;
}

.section-full-width-img img {
  max-height: 38rem;
}

@media (max-width: 1440px) {
  .section-full-width-img img {
    max-height: 40rem;
  }
}

.section-full-width-img-alt img {
  max-height: 40rem;
  transform: scale(1.0);
  transition: all 0.3s ease-in-out;
}

.section-full-width-img-alt img:hover {
  transform: scale(1.1);
}

@media (max-width: 768px) {

  .section-full-width-img {
    display: none;
  }

  .section-full-width-img-alt  {
    padding: 0 1rem;
  }
}

.cta-button a, .cta-button-alt a, .cta-button-alt-2 a {
  color: var(--red);
  font-size: 18px;
  background-color: transparent !important;
  position: relative;
  display: inline-block;
  /* transition: opacity 0.3s ease; */
}

.cta-button a {
  border: 2px solid var(--red) !important;
}

.cta-button a:hover{
  color: var(--white);
}

.cta-button a::after {
    content: ''; /* Empty content for the pseudo-element */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 30px;
    background-color: var(--red) !important;
    transform: scale(0.8); /* Initially scale it down */
    opacity: 0; /* Start with opacity 0 */
    transition: transform 0.3s ease, opacity 0.3s ease; /* Smooth transition for scaling */
    z-index: -1; /* Position the pseudo-element behind the text */
}

.cta-button a:hover::after {
  transform: scale(1);
  opacity: 1;
}

.cta-button-alt .elementor-button-text,
.cta-button-alt-2 .elementor-button-text,
.cta-button-alt.white .elementor-button-text,
.cta-button-alt-2.white .elementor-button-text {
    position: relative;
    border-radius: 0;
    padding-bottom: 5px;
    text-decoration: none;
}

.cta-button-alt.red .elementor-button-text,
.cta-button-alt-2.red .elementor-button-text {
    color: var(--red);
}

.cta-button-alt.white .elementor-button-text,
.cta-button-alt-2.white .elementor-button-text {
    color: var(--white);
}

/* Pseudo-element to animate the border effect */
.cta-button-alt.red .elementor-button-text::before,
.cta-button-alt-2.red .elementor-button-text::before,
.cta-button-alt.white .elementor-button-text::before,
.cta-button-alt-2.white .elementor-button-text::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    transform-origin: left;
    transform: scaleX(1); /* Start fully covering the border */
    transition: none;
}

.cta-button-alt.red .elementor-button-text::before,
.cta-button-alt-2.red .elementor-button-text::before {
  background-color: var(--red);
}

.cta-button-alt.white .elementor-button-text::before,
.cta-button-alt-2.white .elementor-button-text::before {
  background-color: var(--white);
}

.cta-button-alt.red .elementor-button-text:hover::before,
.cta-button-alt-2.red .elementor-button-text:hover::before,
.cta-button-alt.white .elementor-button-text:hover::before,
.cta-button-alt-2.white .elementor-button-text:hover::before {
    animation: hideAndShow 0.8s ease-in-out forwards; /* Run the animation on hover */
}

/* Keyframe animation for the line disappearing and reappearing */
@keyframes hideAndShow {
    0% {
        transform: scaleX(1);
        transform-origin: right; /* Line fully visible, starting from the left */
    }
    49.9% {
        transform: scaleX(0);
        transform-origin: right; /* Line disappears from left to right */
    }
    50% {
        transform: scaleX(0);
        transform-origin: left; /* Reset origin briefly */
    }
    50.1% {
        transform: scaleX(0);
        transform-origin: left; /* Immediately reset to left for reappearing */
    }
    100% {
        transform: scaleX(1);
        transform-origin: left; /* Line reappears from left to right */
    }
}


/* Existing ::after pseudo-element for the icon */
.cta-button-alt .elementor-button-text::after,
.cta-button-alt-2 .elementor-button-text::after {
    content: '';
    display: inline-block;
    width: 32px;
    height: 32px;
    background-size: contain;
    position: absolute;
    top: -6px;
    right: -45px;
}

.cta-button-alt .elementor-button-text::after {
    top: -3px;
}

.cta-button-alt-2 .elementor-button-text::after {
    top: -6px;
}

.cta-button-alt.red .elementor-button-text::after,
.cta-button-alt-2.red .elementor-button-text::after {
    background: url('/wp-content/uploads/2025/02/arrow-link-outline-red-v2.svg') no-repeat center center;
}


.cta-button-alt.white .elementor-button-text::after,
.cta-button-alt-2.white .elementor-button-text::after {
    background: url('/wp-content/uploads/2025/01/arrow-link-outline-white.svg') no-repeat center center;
}

.white .link-icon {
  fill: var(--white);
}

.red .link-icon {
  fill: var(--red);
}

.page-hero {
  height: 50rem;
  max-height: calc(100vh - 90px);
  padding-block: 3rem;
  display: flex;
  position: relative;
}

.page-hero-title h1, .page-hero-subtitle h2 {
  color: var(--white) !important;
  font-weight: 400 !important;
}

.page-hero-title h1 {
  font-size: 80px;
  line-height: 50px;
}

.page-hero-subtitle h2 {
  font-size: 45px;
}

  /* Home Hero Title */
.page-hero-title.home-hero h1 {
  line-height: 80px;
}

@media (max-width: 768px) {

  .page-hero-title h1 {
    font-size: 55px;
  }

  .page-hero-subtitle h2 {
    font-size: 32px;
  }

  /* Home Hero Title */
  .page-hero-title.home-hero h1 {
    font-size: 45px;
    line-height: 50px;
  }

}

.bottom-cta-section {
  padding: 20px 0;
  background: var(--red);
}

.bottom-cta-section-alt {
  margin: 75px 0;
}

.bottom-cta-section-alt .bottom-cta-section-alt-container {
  position: absolute;
  bottom: 30px;
}

.bottom-cta-section p, .bottom-cta-section-alt p {
  font-size: 50px;
  margin: 0 auto;
  font-weight: 700 !important;
}

@media (max-width: 768px) {
  .bottom-cta-section-alt p {
    font-size: 30px;
  }
}

.bottom-cta-section-alt p {
  color: var(--white);
}

/* Quote section container on Insurance landing page */
.quote-box-section {
  margin: 50px 0 75px;
}

/* Quote boxes on Insurance landing page */
.quote-box-container, .quote-box {
  border-radius: 30px;
}

/* Quote boxes on Insurance landing page */
.quote-box {
  transform: scale(1.0);
  transition: all 0.3s ease-in-out;
}

.quote-box:hover {
    transform: scale(1.1);
}

.quote-box-container .cta-button-alt-2 {
  position: absolute;
  bottom: 10px;
  z-index: 9;
}

.contact-form {
  padding: 40px;
  border-radius: 30px;
}

@media (max-width: 768px) {
    .contact-form {
      margin-top: 50px;
    }
}

.contact-list-items li span {
  font-size: 18px;
  color: var(--black) !important;
}

.contact-list-items li .elementor-icon-list-icon {
  margin-top: 5px;
}

.contact-list-items li span svg {
  fill: var(--red) !important;
}

/* Plane SVG animation */
.plane-accent {
    width: 100%;
    display: flex;
    justify-content: start;
    align-items: center;
}

/* Plane SVG animation in header */
.plane-accent.plane-header {
  /* margin-top: 5px; */
  margin-top: 37px;
  margin-left: -134px;
  padding: 0 20px;
}

@media only screen and (max-width: 1201px) {
  .plane-accent.plane-header {
    margin-top: 33px;
    margin-left: -123px;
  }
}

/* Hide Plane SVG animation in header if logged in */
.logged-in .plane-accent.plane-header {
  display: none;
}

@media only screen and (max-width: 768px) {
  .plane-accent.plane-header {
    display: none;
  }
}

.plane-accent .line {
    width: 100%;
    height: 2px;
    margin-right: 8px !important;
    background-color: var(--lga-red);
    animation-name: planeAccent;
    animation-duration: 50s;
    animation-timing-function: linear;
}

/* Plane SVG animation in header */
.plane-accent.plane-header .line {
  animation-duration: 25s;
}

.plane {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1px;
}

.plane-icon {
  width: 50px;
  height: auto;
}

.plane-header .plane-icon {
  fill: var(--white);
}

/* Inventory page */
.page-id-90 .plane-header .plane-icon,
/* Login page */
.page-id-18 .plane-header .plane-icon {
  fill: var(--lga-grey);
}

/* Define the keyframes for the animation */
@keyframes planeAccent {
  0% {
    width: 0%; /* Start with width 0% */
  }
  100% {
    width: 100%; /* End with width 100% */
  }
}
